#ifndef __HEADER__OBJECT3DCLASS
#define __HEADER__OBJECT3DCLASS

#include <iostream.h>
#include <d3dx9.h>
#include <stdio.h>
#include "dxutil.h"
#include "ExceptionClass.h"
#define RADIAN_TO_DEGREES 57.29577951308232286465f

class Object3DClass
{
	private:
		
	public:
		LPD3DXMESH			m_pMesh;
		D3DMATERIAL9		*m_pMeshMaterials;
		LPDIRECT3DTEXTURE9	*m_pMeshTextures;
		DWORD				m_dwNumMaterials;
		LPD3DXBUFFER		m_pD3DXMtrlBuffer;
		LPDIRECT3DDEVICE9	m_pd3dDevice;
		char				m_szObjectName[ 128 ];
		DWORD				m_dwNumbFaces;

		Object3DClass( void );
		~Object3DClass( void );

		HRESULT hLoad( char *szName, LPDIRECT3DDEVICE9 p3d );
		void vCleanup( void );
		void vDisplayXYZ(	float x, float y, float z, 
							float rx=0.0f, float ry=0.0f, 
							float rz=0.0f, float sx=1.0f, 
							float sy=1.0f, float sz=1.0f );
};

#endif