#ifndef _HEADER_CPARTICLE
#define _HEADER_CPARTICLE

class CVector
{
	public:
		float fX;
		float fY;
		float fZ;

		CVector() { fX=0.0f, fY=0.0f, fZ=0.0f; };
};

class CParticle
{
	public:
		CVector		m_vecPos;
		CVector		m_vecCurSpeed;
		CVector		m_vecAcceleration;
		CVector		m_vecGravity;
		int			m_iLife;
		int			m_iTextureStart;
		int			m_iTextureEnd;
		int			m_iTextureType;
		int			m_iTextureCur;
		int			m_iTextureSteps;
		int			m_iTextureCurStep;

		CParticle();
		~CParticle();
		void vUpdate( void );
		bool bIsAlive( void );
		void vSetTextures( int iType, int iStart, int iStop, int iSteps );
		void vSetPos( float x, float y, float z );
		void vSetAcceleration( float x, float y, float z );
		void vSetGravity( float x, float y, float z );
		void vSetSpeed( float x, float y, float z );
		void vSetLife( int iLife );
};

#endif